## org.exist.validation.test
Class DatabaseResourcesTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.validation.test.DatabaseResourcesTest

All Implemented Interfaces:
  junit.framework.Test

public class DatabaseResourcesTest
extends junit.framework.TestCase

"DatabaseResources.class" jUnit tests.

Author:
  dizzzz

Constructor Summary
`DatabaseResourcesTest(java.lang.String testName)`

Method Summary
`static junit.framework.Test` `suite()`
`void` `testCatalogInvalidXml()`
`void` `testCatalogValidXml()`
`void` `testDtdInvalidDocument()`
`void` `testDtdValidDocument()`
`void` `testInsertDtdGrammar()`
`void` `testInsertTestDocuments()`
`void` `testInsertXsdGrammar()`
`void` `testIsGrammarInDatabase()`
`void` `testIsGrammarNotInDatabase()`
`void` `testShutdown()`
`void` `testStart()`
`void` `testXsdInvalidDocument()`
`void` `testXsdValidDocument()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseResourcesTest

    public DatabaseResourcesTest(java.lang.String testName)

Method Detail

### suite

    public static junit.framework.Test suite()

### testStart

    public void testStart()

### testInsertXsdGrammar

    public void testInsertXsdGrammar()

### testInsertDtdGrammar

    public void testInsertDtdGrammar()

### testInsertTestDocuments

    public void testInsertTestDocuments()

### testIsGrammarInDatabase

    public void testIsGrammarInDatabase()

### testIsGrammarNotInDatabase

    public void testIsGrammarNotInDatabase()

### testXsdValidDocument

    public void testXsdValidDocument()

### testXsdInvalidDocument

    public void testXsdInvalidDocument()

### testDtdValidDocument

    public void testDtdValidDocument()

### testDtdInvalidDocument

    public void testDtdInvalidDocument()

### testCatalogValidXml

    public void testCatalogValidXml()

### testCatalogInvalidXml

    public void testCatalogInvalidXml()

### testShutdown

    public void testShutdown()

Copyright (C) Wolfgang Meier. All rights reserved.